수식에 다음과 같은 함수를 사용하여 선 스파크라인, 열 스파크라인 또는 winloss 스파크라인을 만들 수 있습니다. =LINESPARKLINE(data, dataOrientation, dateAxisData?, dateAxisOrientation?, setting?), =COLUMNSPARKLINE(data, dataOrientation, dateAxisData?, dateAxisOrientation?, setting?), =WINLOSSSPARKLINE(data, dataOrientation, dateAxisData?, dateAxisOrientation?, setting?).
이 함수에는 다음과 같은 매개 변수가 있습니다.
data: 스파크라인 데이터를 나타내는 범위 참조입니다(예: "A1:C3").
dataOrientation: 스파크라인 데이터 방향을 나타내는 숫자입니다. 다음 중 하나입니다.
vertical - 0
horizontal - 1
dateAxisData\: (선택 사항) 스파크라인 날짜 축 데이터를 나타내는 범위 참조입니다(예: "D1:F3").
dateAxisOrientation\: (선택 사항) 스파크라인 날짜 축 방향을 나타내는 숫자입니다. 다음 중 하나입니다.
vertical - 0
horizontal - 1
setting\: (선택 사항) JSON 형식의 문자열입니다. 각 항목은 GC.Spread.Sheets.Sparklines.SparklineSetting과 동일한 정의를 유지합니다.
스파크라인을 만든 후 표시되는 값 점(예: 높음, 낮음, 처음, 마지막 또는 음수 값)을 제어하고, 스파크라인 유형(선, 열 또는 WinLoss)을 변경하고, 스타일을 적용하고, 가로 축을 표시할지 여부를 제어할 수 있습니다.
일부 또는 모든 표식을 표시하여 선 스파크라인의 개별 데이터 표식(값)을 강조 표시할 수 있습니다.
showFirst: 첫 번째 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showHigh: 가장 높은 값을 가진 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showLast: 마지막 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showLow: 가장 낮은 값을 가진 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showNegative: 음수 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showMarkers: 이 스파크라인 그룹의 각 스파크라인에 대해 데이터 표식이 표시되는지 여부입니다.
다음 메서드를 사용하여 스파크라인의 스타일과 형식을 변경할 수 있습니다.
axisColor: 축의 색입니다.
firstMarkerColor: 이 스파크라인 그룹의 각 스파크라인에 대한 첫 번째 데이터 요소의 색입니다.
highMarkerColor: 이 스파크라인 그룹의 각 스파크라인에 대해 가장 높은 데이터 요소의 색
lastMarkerColor: 이 스파크라인 그룹의 각 스파크라인에 대한 마지막 데이터 요소의 색입니다.
lowMarkerColor: 이 스파크라인 그룹의 각 스파크라인에 대한 가장 낮은 데이터 요소의 색입니다.
markersColor: 이 스파크라인 그룹의 각 스파크라인에 대한 데이터 표식의 색입니다.
negativeColor: 이 스파크라인 그룹의 각 스파크라인에 대한 음수 데이터 요소의 색입니다.
seriesColor: 이 스파크라인의 각 스파크라인에 대한 색입니다.
스파크라인은 추가 설정을 제공합니다. 예를 들어, 차트의 데이터 계열에 빈 값이 있는 경우가 있습니다. displayEmptyCellsAs 옵션을 사용하여 다음 예와 같이 빈 셀을 표시하는 방법을 제어할 수 있습니다.
다음 예는 이러한 설정을 적용하는 방법을 보여줍니다.
window.onload = function () {
var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), { sheetCount: 3 });
spread.options.allowDynamicArray = true;
initSheet(spread.sheets[0]);
initSheet1(spread.sheets[1]);
initSheet2(spread.sheets[2]);
};
function initSheet(sheet) {
sheet.name("Line Sparkline");
sheet.suspendPaint();
sheet.setArray(2, 1, data[0]);
for(var i=4;i<14;i++)
{
sheet.setFormula(i-1, 8, '=LINESPARKLINE(C'+i+':H'+i+',1,,,"{showMarkers:true}")');
sheet.setRowHeight(i-1,30);
}
//format sheet
sheet.addSpan(0, 1, 1, 8);
sheet.getCell(0, 1).value("Sales by Country").font("bold 15px Arial")
.backColor("#DDDDDD");
sheet.setRowHeight(0,45);
sheet.getRange(2, 1, 1, 8)
.font("bold 13px Arial")
.setBorder(new GC.Spread.Sheets.LineBorder("black", GC.Spread.Sheets.LineStyle.thin), { bottom: true });
sheet.getRange(3, 2, 10, 6)
.formatter("$#,##0");
for(var j=2;j<8;j++)
{
sheet.setColumnWidth(j,80);
}
sheet.setColumnWidth(1,120);
sheet.setColumnWidth(8,150);
sheet.getRange(0, 0, 15, 9).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.resumePaint();
};
function initSheet1(sheet) {
sheet.name("Column Sparkline");
sheet.suspendPaint();
sheet.setArray(2, 1, data[1]);
for(var i=4;i<14;i++)
{
sheet.setFormula(i-1, 8, '=COLUMNSPARKLINE(C'+i+':H'+i+',1)');
sheet.setRowHeight(i-1,30);
}
//format sheet
sheet.addSpan(0, 1, 1, 8);
sheet.getCell(0, 1).value("Sales Data").font("15px Arial")
.backColor("#DDDDDD");
sheet.setRowHeight(0,45);
sheet.getRange(2, 1, 1, 8)
.font("bold 13px Arial")
.setBorder(new GC.Spread.Sheets.LineBorder("black", GC.Spread.Sheets.LineStyle.thin), { bottom: true });
sheet.getRange(3, 2, 10, 6)
.formatter("$#,##0");
for(var j=2;j<8;j++)
{
sheet.setColumnWidth(j,80);
}
sheet.setColumnWidth(1,120);
sheet.setColumnWidth(8,150);
sheet.getRange(0, 0, 15, 9).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.resumePaint();
};
function initSheet2(sheet) {
sheet.name("Winloss Sparkline");
sheet.suspendPaint();
sheet.getCell(2, 1).text("Target (tasks per week):").font("14px Arial");
sheet.getCell(2, 2).value(5).font("bold 14px Arial");
sheet.setArray(4, 1, data[2]);
for(var i=6;i<16;i++)
{
sheet.setFormula(i-1, 8, '=WINLOSSSPARKLINE(C'+i+':H'+i+'-$C$3,1,,,"{showNegative:true}")');
sheet.setRowHeight(i-1,30);
}
//format sheet
sheet.addSpan(0, 1, 1, 8);
sheet.getCell(0, 1).value("Employee Performance").font("15px Arial")
.backColor("#DDDDDD");
sheet.setRowHeight(0,45);
sheet.getRange(4, 1, 1, 8)
.font("bold 13px Arial")
.setBorder(new GC.Spread.Sheets.LineBorder("black", GC.Spread.Sheets.LineStyle.thin), { bottom: true });
sheet.setColumnWidth(1,180);
sheet.setColumnWidth(8,120);
sheet.getRange(0, 0, 15, 9).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.resumePaint();
};
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta name="spreadjs culture" content="ko-kr"/>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets-resources-ko/dist/gc.spread.sheets.resources.ko.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/data/standard-sparklines.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="ss" style="width:100%;height:100%"></div>
</div></body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}

수식에 다음과 같은 함수를 사용하여 선 스파크라인, 열 스파크라인 또는 winloss 스파크라인을 만들 수 있습니다. =LINESPARKLINE(data, dataOrientation, dateAxisData?, dateAxisOrientation?, setting?), =COLUMNSPARKLINE(data, dataOrientation, dateAxisData?, dateAxisOrientation?, setting?), =WINLOSSSPARKLINE(data, dataOrientation, dateAxisData?, dateAxisOrientation?, setting?).
이 함수에는 다음과 같은 매개 변수가 있습니다.
data: 스파크라인 데이터를 나타내는 범위 참조입니다(예: "A1:C3").
dataOrientation: 스파크라인 데이터 방향을 나타내는 숫자입니다. 다음 중 하나입니다.
vertical - 0
horizontal - 1
dateAxisData\: (선택 사항) 스파크라인 날짜 축 데이터를 나타내는 범위 참조입니다(예: "D1:F3").
dateAxisOrientation\: (선택 사항) 스파크라인 날짜 축 방향을 나타내는 숫자입니다. 다음 중 하나입니다.
vertical - 0
horizontal - 1
setting\: (선택 사항) JSON 형식의 문자열입니다. 각 항목은 GC.Spread.Sheets.Sparklines.SparklineSetting과 동일한 정의를 유지합니다.
스파크라인을 만든 후 표시되는 값 점(예: 높음, 낮음, 처음, 마지막 또는 음수 값)을 제어하고, 스파크라인 유형(선, 열 또는 WinLoss)을 변경하고, 스타일을 적용하고, 가로 축을 표시할지 여부를 제어할 수 있습니다.
일부 또는 모든 표식을 표시하여 선 스파크라인의 개별 데이터 표식(값)을 강조 표시할 수 있습니다.
showFirst: 첫 번째 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showHigh: 가장 높은 값을 가진 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showLast: 마지막 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showLow: 가장 낮은 값을 가진 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showNegative: 음수 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showMarkers: 이 스파크라인 그룹의 각 스파크라인에 대해 데이터 표식이 표시되는지 여부입니다.
다음 메서드를 사용하여 스파크라인의 스타일과 형식을 변경할 수 있습니다.
axisColor: 축의 색입니다.
firstMarkerColor: 이 스파크라인 그룹의 각 스파크라인에 대한 첫 번째 데이터 요소의 색입니다.
highMarkerColor: 이 스파크라인 그룹의 각 스파크라인에 대해 가장 높은 데이터 요소의 색
lastMarkerColor: 이 스파크라인 그룹의 각 스파크라인에 대한 마지막 데이터 요소의 색입니다.
lowMarkerColor: 이 스파크라인 그룹의 각 스파크라인에 대한 가장 낮은 데이터 요소의 색입니다.
markersColor: 이 스파크라인 그룹의 각 스파크라인에 대한 데이터 표식의 색입니다.
negativeColor: 이 스파크라인 그룹의 각 스파크라인에 대한 음수 데이터 요소의 색입니다.
seriesColor: 이 스파크라인의 각 스파크라인에 대한 색입니다.
스파크라인은 추가 설정을 제공합니다. 예를 들어, 차트의 데이터 계열에 빈 값이 있는 경우가 있습니다. displayEmptyCellsAs 옵션을 사용하여 다음 예와 같이 빈 셀을 표시하는 방법을 제어할 수 있습니다.
다음 예는 이러한 설정을 적용하는 방법을 보여줍니다.
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet} from '@mescius/spread-sheets-react';
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
export function AppFunc() {
let spread = null;
const initSpread = (currSpread) => {
spread = currSpread;
spread.options.allowDynamicArray = true;
initSheet(spread.sheets[0]);
initSheet1(spread.sheets[1]);
initSheet2(spread.sheets[2]);
}
const initSheet = (sheet) => {
sheet.name("Line Sparkline");
sheet.suspendPaint();
sheet.setArray(2, 1, data[0]);
for(var i=4;i<14;i++)
{
sheet.setFormula(i-1, 8, '=LINESPARKLINE(C'+i+':H'+i+',1,,,"{showMarkers:true}")');
sheet.setRowHeight(i-1,30);
}
//format sheet
sheet.addSpan(0, 1, 1, 8);
sheet.getCell(0, 1).value("Sales by Country").font("bold 15px Arial")
.backColor("#DDDDDD");
sheet.setRowHeight(0,45);
sheet.getRange(2, 1, 1, 8)
.font("bold 13px Arial")
.setBorder(new GC.Spread.Sheets.LineBorder("black", GC.Spread.Sheets.LineStyle.thin), { bottom: true });
sheet.getRange(3, 2, 10, 6)
.formatter("$#,##0");
for(var j=2;j<8;j++)
{
sheet.setColumnWidth(j,80);
}
sheet.setColumnWidth(1,120);
sheet.setColumnWidth(8,150);
sheet.getRange(0, 0, 15, 9).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.resumePaint();
}
const initSheet1 = (sheet) => {
sheet.name("Column Sparkline");
sheet.suspendPaint();
sheet.setArray(2, 1, data[1]);
for(var i=4;i<14;i++)
{
sheet.setFormula(i-1, 8, '=COLUMNSPARKLINE(C'+i+':H'+i+',1)');
sheet.setRowHeight(i-1,30);
}
//format sheet
sheet.addSpan(0, 1, 1, 8);
sheet.getCell(0, 1).value("Sales Data").font("15px Arial")
.backColor("#DDDDDD");
sheet.setRowHeight(0,45);
sheet.getRange(2, 1, 1, 8)
.font("bold 13px Arial")
.setBorder(new GC.Spread.Sheets.LineBorder("black", GC.Spread.Sheets.LineStyle.thin), { bottom: true });
sheet.getRange(3, 2, 10, 6)
.formatter("$#,##0");
for(var j=2;j<8;j++)
{
sheet.setColumnWidth(j,80);
}
sheet.setColumnWidth(1,120);
sheet.setColumnWidth(8,150);
sheet.getRange(0, 0, 15, 9).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.resumePaint();
}
const initSheet2 = (sheet) => {
sheet.name("Winloss Sparkline");
sheet.suspendPaint();
sheet.getCell(2, 1).text("Target (tasks per week):").font("14px Arial");
sheet.getCell(2, 2).value(5).font("bold 14px Arial");
sheet.setArray(4, 1, data[2]);
for(var i=6;i<16;i++)
{
sheet.setFormula(i-1, 8, '=WINLOSSSPARKLINE(C'+i+':H'+i+'-$C$3,1,,,"{negativeColor:#ff0000,showNegative:true}")');
sheet.setRowHeight(i-1,30);
}
//format sheet
sheet.addSpan(0, 1, 1, 8);
sheet.getCell(0, 1).value("Employee Performance").font("15px Arial")
.backColor("#DDDDDD");
sheet.setRowHeight(0,45);
sheet.getRange(4, 1, 1, 8)
.font("bold 13px Arial")
.setBorder(new GC.Spread.Sheets.LineBorder("black", GC.Spread.Sheets.LineStyle.thin), { bottom: true });
sheet.setColumnWidth(1,180);
sheet.setColumnWidth(8,120);
sheet.getRange(0, 0, 15, 9).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.resumePaint();
}
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
<Worksheet></Worksheet>
<Worksheet></Worksheet>
<Worksheet></Worksheet>
</SpreadSheets>
</div>
</div>
)
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet} from '@mescius/spread-sheets-react';
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
}
render() {
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
<Worksheet></Worksheet>
<Worksheet></Worksheet>
<Worksheet></Worksheet>
</SpreadSheets>
</div>
</div>
)
}
initSpread(spread) {
this.spread = spread;
spread.options.allowDynamicArray = true;
this.initSheet(spread.sheets[0]);
this.initSheet1(spread.sheets[1]);
this.initSheet2(spread.sheets[2]);
}
initSheet(sheet) {
sheet.name("Line Sparkline");
sheet.suspendPaint();
sheet.setArray(2, 1, data[0]);
for(var i=4;i<14;i++)
{
sheet.setFormula(i-1, 8, '=LINESPARKLINE(C'+i+':H'+i+',1,,,"{showMarkers:true}")');
sheet.setRowHeight(i-1,30);
}
//format sheet
sheet.addSpan(0, 1, 1, 8);
sheet.getCell(0, 1).value("Sales by Country").font("bold 15px Arial")
.backColor("#DDDDDD");
sheet.setRowHeight(0,45);
sheet.getRange(2, 1, 1, 8)
.font("bold 13px Arial")
.setBorder(new GC.Spread.Sheets.LineBorder("black", GC.Spread.Sheets.LineStyle.thin), { bottom: true });
sheet.getRange(3, 2, 10, 6)
.formatter("$#,##0");
for(var j=2;j<8;j++)
{
sheet.setColumnWidth(j,80);
}
sheet.setColumnWidth(1,120);
sheet.setColumnWidth(8,150);
sheet.getRange(0, 0, 15, 9).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.resumePaint();
}
initSheet1(sheet) {
sheet.name("Column Sparkline");
sheet.suspendPaint();
sheet.setArray(2, 1, data[1]);
for(var i=4;i<14;i++)
{
sheet.setFormula(i-1, 8, '=COLUMNSPARKLINE(C'+i+':H'+i+',1)');
sheet.setRowHeight(i-1,30);
}
//format sheet
sheet.addSpan(0, 1, 1, 8);
sheet.getCell(0, 1).value("Sales Data").font("15px Arial")
.backColor("#DDDDDD");
sheet.setRowHeight(0,45);
sheet.getRange(2, 1, 1, 8)
.font("bold 13px Arial")
.setBorder(new GC.Spread.Sheets.LineBorder("black", GC.Spread.Sheets.LineStyle.thin), { bottom: true });
sheet.getRange(3, 2, 10, 6)
.formatter("$#,##0");
for(var j=2;j<8;j++)
{
sheet.setColumnWidth(j,80);
}
sheet.setColumnWidth(1,120);
sheet.setColumnWidth(8,150);
sheet.getRange(0, 0, 15, 9).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.resumePaint();
}
initSheet2(sheet) {
sheet.name("Winloss Sparkline");
sheet.suspendPaint();
sheet.getCell(2, 1).text("Target (tasks per week):").font("14px Arial");
sheet.getCell(2, 2).value(5).font("bold 14px Arial");
sheet.setArray(4, 1, data[2]);
for(var i=6;i<16;i++)
{
sheet.setFormula(i-1, 8, '=WINLOSSSPARKLINE(C'+i+':H'+i+'-$C$3,1,,,"{negativeColor:#ff0000,showNegative:true}")');
sheet.setRowHeight(i-1,30);
}
//format sheet
sheet.addSpan(0, 1, 1, 8);
sheet.getCell(0, 1).value("Employee Performance").font("15px Arial")
.backColor("#DDDDDD");
sheet.setRowHeight(0,45);
sheet.getRange(4, 1, 1, 8)
.font("bold 13px Arial")
.setBorder(new GC.Spread.Sheets.LineBorder("black", GC.Spread.Sheets.LineStyle.thin), { bottom: true });
sheet.setColumnWidth(1,180);
sheet.setColumnWidth(8,120);
sheet.getRange(0, 0, 15, 9).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.resumePaint();
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/ko/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script src="$DEMOROOT$/spread/source/data/standard-sparklines.js" type="text/javascript"></script>
<script>
System.import('$DEMOROOT$/ko/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app" style="height: 100%;"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
.sample-spreadsheets {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

수식에 다음과 같은 함수를 사용하여 선 스파크라인, 열 스파크라인 또는 winloss 스파크라인을 만들 수 있습니다. =LINESPARKLINE(data, dataOrientation, dateAxisData?, dateAxisOrientation?, setting?), =COLUMNSPARKLINE(data, dataOrientation, dateAxisData?, dateAxisOrientation?, setting?), =WINLOSSSPARKLINE(data, dataOrientation, dateAxisData?, dateAxisOrientation?, setting?).
이 함수에는 다음과 같은 매개 변수가 있습니다.
data: 스파크라인 데이터를 나타내는 범위 참조입니다(예: "A1:C3").
dataOrientation: 스파크라인 데이터 방향을 나타내는 숫자입니다. 다음 중 하나입니다.
vertical - 0
horizontal - 1
dateAxisData\: (선택 사항) 스파크라인 날짜 축 데이터를 나타내는 범위 참조입니다(예: "D1:F3").
dateAxisOrientation\: (선택 사항) 스파크라인 날짜 축 방향을 나타내는 숫자입니다. 다음 중 하나입니다.
vertical - 0
horizontal - 1
setting\: (선택 사항) JSON 형식의 문자열입니다. 각 항목은 GC.Spread.Sheets.Sparklines.SparklineSetting과 동일한 정의를 유지합니다.
스파크라인을 만든 후 표시되는 값 점(예: 높음, 낮음, 처음, 마지막 또는 음수 값)을 제어하고, 스파크라인 유형(선, 열 또는 WinLoss)을 변경하고, 스타일을 적용하고, 가로 축을 표시할지 여부를 제어할 수 있습니다.
일부 또는 모든 표식을 표시하여 선 스파크라인의 개별 데이터 표식(값)을 강조 표시할 수 있습니다.
showFirst: 첫 번째 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showHigh: 가장 높은 값을 가진 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showLast: 마지막 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showLow: 가장 낮은 값을 가진 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showNegative: 음수 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showMarkers: 이 스파크라인 그룹의 각 스파크라인에 대해 데이터 표식이 표시되는지 여부입니다.
다음 메서드를 사용하여 스파크라인의 스타일과 형식을 변경할 수 있습니다.
axisColor: 축의 색입니다.
firstMarkerColor: 이 스파크라인 그룹의 각 스파크라인에 대한 첫 번째 데이터 요소의 색입니다.
highMarkerColor: 이 스파크라인 그룹의 각 스파크라인에 대해 가장 높은 데이터 요소의 색
lastMarkerColor: 이 스파크라인 그룹의 각 스파크라인에 대한 마지막 데이터 요소의 색입니다.
lowMarkerColor: 이 스파크라인 그룹의 각 스파크라인에 대한 가장 낮은 데이터 요소의 색입니다.
markersColor: 이 스파크라인 그룹의 각 스파크라인에 대한 데이터 표식의 색입니다.
negativeColor: 이 스파크라인 그룹의 각 스파크라인에 대한 음수 데이터 요소의 색입니다.
seriesColor: 이 스파크라인의 각 스파크라인에 대한 색입니다.
스파크라인은 추가 설정을 제공합니다. 예를 들어, 차트의 데이터 계열에 빈 값이 있는 경우가 있습니다. displayEmptyCellsAs 옵션을 사용하여 다음 예와 같이 빈 셀을 표시하는 방법을 제어할 수 있습니다.
다음 예는 이러한 설정을 적용하는 방법을 보여줍니다.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import GC from '@mescius/spread-sheets';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: '100%',
height: '100%',
overflow: 'hidden',
float: 'left'
};
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
spread.options.allowDynamicArray = true;
this.initSheet(spread.sheets[0]);
this.initSheet1(spread.sheets[1]);
this.initSheet2(spread.sheets[2]);
}
initSheet(sheet: GC.Spread.Sheets.Worksheet) {
sheet.name("Line Sparkline");
sheet.suspendPaint();
sheet.setArray(2, 1, data[0]);
for(var i=4;i<14;i++)
{
sheet.setFormula(i-1, 8, '=LINESPARKLINE(C'+i+':H'+i+',1,,,"{showMarkers:true}")');
sheet.setRowHeight(i-1,30);
}
//format sheet
sheet.addSpan(0, 1, 1, 8);
sheet.getCell(0, 1).value("Sales by Country").font("bold 15px Arial")
.backColor("#DDDDDD");
sheet.setRowHeight(0,45);
sheet.getRange(2, 1, 1, 8)
.font("bold 13px Arial")
.setBorder(new GC.Spread.Sheets.LineBorder("black", GC.Spread.Sheets.LineStyle.thin), { bottom: true });
sheet.getRange(3, 2, 10, 6)
.formatter("$#,##0");
for(var j=2;j<8;j++)
{
sheet.setColumnWidth(j,80);
}
sheet.setColumnWidth(1,120);
sheet.setColumnWidth(8,150);
sheet.getRange(0, 0, 15, 9).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.resumePaint();
}
initSheet1(sheet: GC.Spread.Sheets.Worksheet) {
sheet.name("Column Sparkline");
sheet.suspendPaint();
sheet.setArray(2, 1, data[1]);
for(var i=4;i<14;i++)
{
sheet.setFormula(i-1, 8, '=COLUMNSPARKLINE(C'+i+':H'+i+',1)');
sheet.setRowHeight(i-1,30);
}
//format sheet
sheet.addSpan(0, 1, 1, 8);
sheet.getCell(0, 1).value("Sales Data").font("15px Arial")
.backColor("#DDDDDD");
sheet.setRowHeight(0,45);
sheet.getRange(2, 1, 1, 8)
.font("bold 13px Arial")
.setBorder(new GC.Spread.Sheets.LineBorder("black", GC.Spread.Sheets.LineStyle.thin), { bottom: true });
sheet.getRange(3, 2, 10, 6)
.formatter("$#,##0");
for(var j=2;j<8;j++)
{
sheet.setColumnWidth(j,80);
}
sheet.setColumnWidth(1,120);
sheet.setColumnWidth(8,150);
sheet.getRange(0, 0, 15, 9).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.resumePaint();
}
initSheet2(sheet: GC.Spread.Sheets.Worksheet) {
sheet.name("Winloss Sparkline");
sheet.suspendPaint();
sheet.getCell(2, 1).text("Target (tasks per week):").font("14px Arial");
sheet.getCell(2, 2).value(5).font("bold 14px Arial");
sheet.setArray(4, 1, data[2]);
for(var i=6;i<16;i++)
{
sheet.setFormula(i-1, 8, '=WINLOSSSPARKLINE(C'+i+':H'+i+'-$C$3,1,,,"{negativeColor:#ff0000,showNegative:true}")');
sheet.setRowHeight(i-1,30);
}
//format sheet
sheet.addSpan(0, 1, 1, 8);
sheet.getCell(0, 1).value("Employee Performance").font("15px Arial")
.backColor("#DDDDDD");
sheet.setRowHeight(0,45);
sheet.getRange(4, 1, 1, 8)
.font("bold 13px Arial")
.setBorder(new GC.Spread.Sheets.LineBorder("black", GC.Spread.Sheets.LineStyle.thin), { bottom: true });
sheet.setColumnWidth(1,180);
sheet.setColumnWidth(8,120);
sheet.getRange(0, 0, 15, 9).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.resumePaint();
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/ko/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/ko/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/ko/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script src="$DEMOROOT$/spread/source/data/standard-sparklines.js" type="text/javascript"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/ko/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet></gc-worksheet>
<gc-worksheet></gc-worksheet>
<gc-worksheet></gc-worksheet>
</gc-spread-sheets>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
.sample-spreadsheets {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

수식에 다음과 같은 함수를 사용하여 선 스파크라인, 열 스파크라인 또는 winloss 스파크라인을 만들 수 있습니다. =LINESPARKLINE(data, dataOrientation, dateAxisData?, dateAxisOrientation?, setting?), =COLUMNSPARKLINE(data, dataOrientation, dateAxisData?, dateAxisOrientation?, setting?), =WINLOSSSPARKLINE(data, dataOrientation, dateAxisData?, dateAxisOrientation?, setting?).
이 함수에는 다음과 같은 매개 변수가 있습니다.
data: 스파크라인 데이터를 나타내는 범위 참조입니다(예: "A1:C3").
dataOrientation: 스파크라인 데이터 방향을 나타내는 숫자입니다. 다음 중 하나입니다.
vertical - 0
horizontal - 1
dateAxisData\: (선택 사항) 스파크라인 날짜 축 데이터를 나타내는 범위 참조입니다(예: "D1:F3").
dateAxisOrientation\: (선택 사항) 스파크라인 날짜 축 방향을 나타내는 숫자입니다. 다음 중 하나입니다.
vertical - 0
horizontal - 1
setting\: (선택 사항) JSON 형식의 문자열입니다. 각 항목은 GC.Spread.Sheets.Sparklines.SparklineSetting과 동일한 정의를 유지합니다.
스파크라인을 만든 후 표시되는 값 점(예: 높음, 낮음, 처음, 마지막 또는 음수 값)을 제어하고, 스파크라인 유형(선, 열 또는 WinLoss)을 변경하고, 스타일을 적용하고, 가로 축을 표시할지 여부를 제어할 수 있습니다.
일부 또는 모든 표식을 표시하여 선 스파크라인의 개별 데이터 표식(값)을 강조 표시할 수 있습니다.
showFirst: 첫 번째 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showHigh: 가장 높은 값을 가진 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showLast: 마지막 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showLow: 가장 낮은 값을 가진 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showNegative: 음수 데이터 요소가 이 스파크라인 그룹의 각 스파크라인에 대해 다르게 서식 지정되는지 여부입니다.
showMarkers: 이 스파크라인 그룹의 각 스파크라인에 대해 데이터 표식이 표시되는지 여부입니다.
다음 메서드를 사용하여 스파크라인의 스타일과 형식을 변경할 수 있습니다.
axisColor: 축의 색입니다.
firstMarkerColor: 이 스파크라인 그룹의 각 스파크라인에 대한 첫 번째 데이터 요소의 색입니다.
highMarkerColor: 이 스파크라인 그룹의 각 스파크라인에 대해 가장 높은 데이터 요소의 색
lastMarkerColor: 이 스파크라인 그룹의 각 스파크라인에 대한 마지막 데이터 요소의 색입니다.
lowMarkerColor: 이 스파크라인 그룹의 각 스파크라인에 대한 가장 낮은 데이터 요소의 색입니다.
markersColor: 이 스파크라인 그룹의 각 스파크라인에 대한 데이터 표식의 색입니다.
negativeColor: 이 스파크라인 그룹의 각 스파크라인에 대한 음수 데이터 요소의 색입니다.
seriesColor: 이 스파크라인의 각 스파크라인에 대한 색입니다.
스파크라인은 추가 설정을 제공합니다. 예를 들어, 차트의 데이터 계열에 빈 값이 있는 경우가 있습니다. displayEmptyCellsAs 옵션을 사용하여 다음 예와 같이 빈 셀을 표시하는 방법을 제어할 수 있습니다.
다음 예는 이러한 설정을 적용하는 방법을 보여줍니다.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet></gc-worksheet>
<gc-worksheet></gc-worksheet>
<gc-worksheet></gc-worksheet>
</gc-spread-sheets>
</div>
</template>
<script>
import Vue from "vue";
import GC from '@mescius/spread-sheets';
import '@mescius/spread-sheets-resources-ko';
import '@mescius/spread-sheets-vue'
GC.Spread.Common.CultureManager.culture("ko-kr");
import './styles.css';
let App = Vue.extend({
name: "app",
data: function () {
return {
spread: null
};
},
methods: {
initSpread(spread) {
this.spread = spread;
spread.options.allowDynamicArray = true;
this.initSheet(spread.sheets[0]);
this.initSheet1(spread.sheets[1]);
this.initSheet2(spread.sheets[2]);
},
initSheet(sheet) {
sheet.name("Line Sparkline");
sheet.suspendPaint();
sheet.setArray(2, 1, data[0]);
for(var i=4;i<14;i++)
{
sheet.setFormula(i-1, 8, '=LINESPARKLINE(C'+i+':H'+i+',1,,,"{showMarkers:true}")');
sheet.setRowHeight(i-1,30);
}
//format sheet
sheet.addSpan(0, 1, 1, 8);
sheet.getCell(0, 1).value("Sales by Country").font("bold 15px Arial")
.backColor("#DDDDDD");
sheet.setRowHeight(0,45);
sheet.getRange(2, 1, 1, 8)
.font("bold 13px Arial")
.setBorder(new GC.Spread.Sheets.LineBorder("black", GC.Spread.Sheets.LineStyle.thin), { bottom: true });
sheet.getRange(3, 2, 10, 6)
.formatter("$#,##0");
for(var j=2;j<8;j++)
{
sheet.setColumnWidth(j,80);
}
sheet.setColumnWidth(1,120);
sheet.setColumnWidth(8,150);
sheet.getRange(0, 0, 15, 9).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.resumePaint();
},
initSheet1(sheet) {
sheet.name("Column Sparkline");
sheet.suspendPaint();
sheet.setArray(2, 1, data[1]);
for(var i=4;i<14;i++)
{
sheet.setFormula(i-1, 8, '=COLUMNSPARKLINE(C'+i+':H'+i+',1)');
sheet.setRowHeight(i-1,30);
}
//format sheet
sheet.addSpan(0, 1, 1, 8);
sheet.getCell(0, 1).value("Sales Data").font("15px Arial")
.backColor("#DDDDDD");
sheet.setRowHeight(0,45);
sheet.getRange(2, 1, 1, 8)
.font("bold 13px Arial")
.setBorder(new GC.Spread.Sheets.LineBorder("black", GC.Spread.Sheets.LineStyle.thin), { bottom: true });
sheet.getRange(3, 2, 10, 6)
.formatter("$#,##0");
for(var j=2;j<8;j++)
{
sheet.setColumnWidth(j,80);
}
sheet.setColumnWidth(1,120);
sheet.setColumnWidth(8,150);
sheet.getRange(0, 0, 15, 9).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.resumePaint();
},
initSheet2(sheet) {
sheet.name("Winloss Sparkline");
sheet.suspendPaint();
sheet.getCell(2, 1).text("Target (tasks per week):").font("14px Arial");
sheet.getCell(2, 2).value(5).font("bold 14px Arial");
sheet.setArray(4, 1, data[2]);
for(var i=6;i<16;i++)
{
sheet.setFormula(i-1, 8, '=WINLOSSSPARKLINE(C'+i+':H'+i+'-$C$3,1,,,"{negativeColor:#ff0000,showNegative:true}")');
sheet.setRowHeight(i-1,30);
}
//format sheet
sheet.addSpan(0, 1, 1, 8);
sheet.getCell(0, 1).value("Employee Performance").font("15px Arial")
.backColor("#DDDDDD");
sheet.setRowHeight(0,45);
sheet.getRange(4, 1, 1, 8)
.font("bold 13px Arial")
.setBorder(new GC.Spread.Sheets.LineBorder("black", GC.Spread.Sheets.LineStyle.thin), { bottom: true });
sheet.setColumnWidth(1,180);
sheet.setColumnWidth(8,120);
sheet.getRange(0, 0, 15, 9).vAlign(GC.Spread.Sheets.VerticalAlign.center);
sheet.resumePaint();
}
}
});
new Vue({
render: h => h(App)
}).$mount('#app');
</script>
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/vue/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/ko/vue/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script src="$DEMOROOT$/spread/source/data/standard-sparklines.js" type="text/javascript"></script>
<script>
System.import('./src/app.vue');
System.import('$DEMOROOT$/ko/lib/vue/license.js');
</script>
</head>
<body>
<div id="app" style="height: 100%;"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
.sample-spreadsheets {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: 'vue-loader' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'css': 'npm:systemjs-plugin-css/css.js',
'vue': 'npm:vue/dist/vue.min.js',
'vue-loader': 'npm:systemjs-vue-browser/index.js',
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
}
}
});
})(this);